# Reference

#### Table of Contents

1. [Types](#types)
   * [nagios_command](#nagios_command)
   * [nagios_contact](#nagios_contact)
   * [nagios_contactgroup](#nagios_contactgroup)
   * [nagios_host](#nagios_host)
   * [nagios_hostdependency](#nagios_hostdependency)
   * [nagios_hostescalation](#nagios_hostescalation)
   * [nagios_hostextinfo](#nagios_hostextinfo)
   * [nagios_hostgroup](#nagios_hostgroup)
   * [nagios_service](#nagios_service)
   * [nagios_servicedependency](#nagios_servicedependency)
   * [nagios_serviceescalation](#nagios_serviceescalation)
   * [nagios_serviceextinfo](#nagios_serviceextinfo)
   * [nagios_servicegroup](#nagios_servicegroup)
   * [nagios_timeperiod](#nagios_timeperiod)

## Types

All Nagios resource types are autogenerated using the model developed in Naginator, and are generated using the same code and library.

These types generate Nagios configuration statements in Nagios-parseable configuration files. By default, the statements will be added to `/etc/nagios/<type name>.cfg`, but you can send them to a different file by setting their `target` attribute.

You can purge Nagios resources using the `resources` type, but _only_ in the default file locations. This is an architectural limitation.

### `nagios_command`

The Nagios type `command`.

#### Attributes

##### `command_name`

(*Namevar:* If omitted, this attribute's value defaults to the resource's title.)

The name of this `nagios_command` resource.

##### `ensure`

(*Property:* This attribute represents concrete state on the target system.)

The basic property that the resource should be in.

Valid values are `present`, `absent`.

##### `command_line`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `group`

The desired group of the config file for this nagios_command resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `mode`

The desired mode of the config file for this nagios_command resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `owner`

The desired owner of the config file for this nagios_command resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `poller_tag`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `provider`

The specific backend to use for this `nagios_command` resource. You will seldom need to specify this — Puppet will usually discover the appropriate provider for your platform.

Available providers are:

  * `naginator`

##### `target`

(*Property:* This attribute represents concrete state on the target system.)

The target.

##### `use`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

### `nagios_contact`

The Nagios type `contact`.

#### Attributes

##### `contact_name`

(*Namevar:* If omitted, this attribute’s value defaults to the resource’s title.)

The name of this nagios_contact resource.

##### `ensure`

(*Property:* This attribute represents concrete state on the target system.)

The basic property that the resource should be in.

Valid values are `present`, `absent`.

##### `address1`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `address2`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `address3`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `address4`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `address5`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `address6`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `alias`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `can_submit_commands`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `contactgroups`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `email`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `group`

The desired group of the config file for this `nagios_contact` resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `host_notification_commands`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `host_notification_options`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `host_notification_period`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `host_notifications_enabled`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `mode`

The desired mode of the config file for this `nagios_contact` resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `owner`

The desired owner of the config file for this `nagios_contact` resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `pager`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `provider`

The specific backend to use for this `nagios_contact` resource. You will seldom need to specify this — Puppet will usually discover the appropriate provider for your platform.

Available providers are:

  * `naginator`

##### `register`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `retain_nonstatus_information`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `retain_status_information`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `service_notification_commands`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `service_notification_options`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `service_notification_period`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `service_notifications_enabled`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `target`

(*Property:* This attribute represents concrete state on the target system.)

The target.

##### `use`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

### `nagios_contactgroup`

The Nagios type `contactgroup`.

#### Attributes

##### `contactgroup_name`

(*Namevar:* If omitted, this attribute’s value defaults to the resource’s title.)

The name of this `nagios_contactgroup` resource.

##### `ensure`

(*Property:* This attribute represents concrete state on the target system.)

The basic property that the resource should be in.

Valid values are `present`, `absent`.

##### `alias`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `contactgroup_members`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `group`

The desired group of the config file for this nagios_contactgroup resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `members`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `mode`

The desired mode of the config file for this `nagios_contactgroup` resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `owner`

The desired owner of the config file for this `nagios_contactgroup` resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `provider`

The specific backend to use for this `nagios_contactgroup` resource. You will seldom need to specify this — Puppet will usually discover the appropriate provider for your platform.

Available providers are:

  * `naginator`

##### `register`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `target`

(*Property:* This attribute represents concrete state on the target system.)

The target.

##### `use`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

### `nagios_host`

The Nagios type `host`.

#### Attributes

##### `host_name`

(*Namevar:* If omitted, this attribute’s value defaults to the resource’s title.)

The name of this nagios_host resource.

##### `ensure`

(*Property:* This attribute represents concrete state on the target system.)

The basic property that the resource should be in.

Valid values are `present`, `absent`.

##### `action_url`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `active_checks_enabled`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `address`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `alias`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `business_impact`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `check_command`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `check_freshness`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `check_interval`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `check_period`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `contact_groups`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `contacts`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `display_name`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `event_handler`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `event_handler_enabled`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `failure_prediction_enabled`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `first_notification_delay`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `flap_detection_enabled`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `flap_detection_options`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `freshness_threshold`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `group`

The desired group of the config file for this `nagios_host` resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `high_flap_threshold`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `hostgroups`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `icon_image`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `icon_image_alt`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `initial_state`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `low_flap_threshold`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `max_check_attempts`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `mode`

The desired mode of the config file for this `nagios_host` resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `notes`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `notes_url`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `notification_interval`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `notification_options`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `notification_period`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `notifications_enabled`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `obsess_over_host`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `owner`

The desired owner of the config file for this `nagios_host` resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `parents`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `passive_checks_enabled`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `poller_tag`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `process_perf_data`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `provider`

The specific backend to use for this `nagios_host` resource. You will seldom need to specify this — Puppet will usually discover the appropriate provider for your platform.

Available providers are:

  * `naginator`

##### `realm`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `register`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `retain_nonstatus_information`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `retain_status_information`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `retry_interval`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `stalking_options`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `statusmap_image`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `target`

(*Property:* This attribute represents concrete state on the target system.)

The target.

##### `use`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `vrml_image`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

### `nagios_hostdependency`

The Nagios type `hostdependency`.

#### Attributes

##### `_naginator_name`

(Namevar: If omitted, this attribute’s value defaults to the resource’s title.)

The name of this `nagios_hostdependency` resource.

##### `ensure`

(*Property:* This attribute represents concrete state on the target system.)

The basic property that the resource should be in.

Valid values are `present`, `absent`.

##### `dependency_period`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `dependent_host_name`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `dependent_hostgroup_name`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `execution_failure_criteria`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `group`

The desired group of the config file for this `nagios_hostdependency` resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `host_name`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `hostgroup_name`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `inherits_parent`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `mode`

The desired mode of the config file for this `nagios_hostdependency` resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `notification_failure_criteria`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `owner`

The desired owner of the config file for this `nagios_hostdependency` resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `provider`

The specific backend to use for this `nagios_hostdependency` resource. You will seldom need to specify this — Puppet will usually discover the appropriate provider for your platform.

Available providers are:

  * `naginator`

##### `register`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `target`

(*Property:* This attribute represents concrete state on the target system.)

The target.

##### `use`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

### `nagios_hostescalation`

The Nagios type `hostescalation`.

#### Attributes

##### `_naginator_name`

(*Namevar:* If omitted, this attribute’s value defaults to the resource’s title.)

The name of this `nagios_hostescalation` resource.

##### `ensure`

(*Property:* This attribute represents concrete state on the target system.)

The basic property that the resource should be in.

Valid values are `present`, `absent`.

##### `contact_groups`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `contacts`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `escalation_options`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `escalation_period`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `first_notification`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `group`

The desired group of the config file for this `nagios_hostescalation` resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `host_name`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `hostgroup_name`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `last_notification`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `mode`

The desired mode of the config file for this `nagios_hostescalation` resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `notification_interval`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `owner`

The desired owner of the config file for this `nagios_hostescalation` resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `provider`

The specific backend to use for this `nagios_hostescalation` resource. You will seldom need to specify this — Puppet will usually discover the appropriate provider for your platform.

Available providers are:

  * `naginator`

##### `register`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `target`

(*Property:* This attribute represents concrete state on the target system.)

The target.

##### `use`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

### `nagios_hostextinfo`

The Nagios type `hostextinfo`.

#### Attributes

##### `host_name`

(*Namevar:* If omitted, this attribute’s value defaults to the resource’s title.)

The name of this `nagios_hostextinfo` resource.

##### `ensure`

(*Property:* This attribute represents concrete state on the target system.)

The basic property that the resource should be in.

Valid values are `present`, `absent`.

##### `group`

The desired group of the config file for this `nagios_hostextinfo` resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `icon_image`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `icon_image_alt`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `mode`

The desired mode of the config file for this `nagios_hostextinfo` resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `notes`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `notes_url`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `owner`

The desired owner of the config file for this `nagios_hostextinfo` resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `provider`

The specific backend to use for this `nagios_hostextinfo` resource. You will seldom need to specify this — Puppet will usually discover the appropriate provider for your platform.

Available providers are:

  * `naginator`

##### `register`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `statusmap_image`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `target`

(*Property:* This attribute represents concrete state on the target system.)

The target.

##### `use`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `vrml_image`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

### `nagios_hostgroup`

The Nagios type `hostgroup`.

#### Attributes

##### `hostgroup_name`

(*Namevar:* If omitted, this attribute’s value defaults to the resource’s title.)

The name of this `nagios_hostgroup` resource.

##### `ensure`

(*Property:* This attribute represents concrete state on the target system.)

The basic property that the resource should be in.

Valid values are `present`, `absent`.

##### `action_url`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `alias`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `group`

The desired group of the config file for this `nagios_hostgroup` resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `hostgroup_members`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `members`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `mode`

The desired mode of the config file for this `nagios_hostgroup` resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `notes`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `notes_url`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `owner`

The desired owner of the config file for this `nagios_hostgroup` resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `provider`

The specific backend to use for this `nagios_hostgroup` resource. You will seldom need to specify this — Puppet will usually discover the appropriate provider for your platform.

Available providers are:

  * `naginator`

##### `realm`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `register`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `target`

(*Property:* This attribute represents concrete state on the target system.)

The target.

##### `use`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

### `nagios_service`

The Nagios type `service`.

#### Attributes

##### `_naginator_name`

(*Namevar:* If omitted, this attribute’s value defaults to the resource’s title.)

The name of this `nagios_service` resource.

##### `ensure`

(*Property:* This attribute represents concrete state on the target system.)

The basic property that the resource should be in.

Valid values are `present`, `absent`.

##### `action_url`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `active_checks_enabled`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `business_impact`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `check_command`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `check_freshness`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `check_interval`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `check_period`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `contact_groups`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `contacts`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `display_name`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `event_handler`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `event_handler_enabled`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `failure_prediction_enabled`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `first_notification_delay`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `flap_detection_enabled`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `flap_detection_options`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `freshness_threshold`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `group`

The desired group of the config file for this `nagios_service` resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `hish_flap_threshold`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `host_name`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `hostgroup_name`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `icon_image`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `icon_image_alt`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `initial_state`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `is_volatile`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `low_flap_threshold`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `max_check_attempts`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `mode`

The desired mode of the config file for this `nagios_service` resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `normal_check_interval`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `notes`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `notes_url`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `notification_interval`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `notification_options`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `notification_period`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `notifications_enabled`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `obsess_over_service`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `owner`

The desired owner of the config file for this `nagios_service` resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `parallelize_check`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `passive_checks_enabled`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `poller_tag`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `process_perf_data`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `provider`

The specific backend to use for this `nagios_service` resource. You will seldom need to specify this — Puppet will usually discover the appropriate provider for your platform.

Available providers are:

  * `naginator`

##### `register`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `retain_nonstatus_information`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `retain_status_information`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `retry_check_interval`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `retry_interval`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `service_description`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `servicegroups`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `stalking_options`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `target`

(*Property:* This attribute represents concrete state on the target system.)

The target.

##### `use`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

### `nagios_servicedependency`

The Nagios type `servicedependency`.

#### Attributes

##### `_naginator_name`

(*Namevar:* If omitted, this attribute’s value defaults to the resource’s title.)

The name of this `nagios_servicedependency` resource.

##### `ensure`

(*Property:* This attribute represents concrete state on the target system.)

The basic property that the resource should be in.

Valid values are `present`, `absent`.

##### `dependency_period``

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `dependent_host_name`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `dependent_hostgroup_name`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `dependent_service_description`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `execution_failure_criteria`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `group`

The desired group of the config file for this `nagios_servicedependency` resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `host_name`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `hostgroup_name`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `inherits_parent`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `mode`

The desired mode of the config file for this `nagios_servicedependency` resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `notification_failure_criteria`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `owner`

The desired owner of the config file for this `nagios_servicedependency` resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `provider`

The specific backend to use for this `nagios_servicedependency` resource. You will seldom need to specify this — Puppet will usually discover the appropriate provider for your platform.

Available providers are:

  * `naginator`

##### `register`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `service_description`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `target`

(*Property:* This attribute represents concrete state on the target system.)

The target.

##### `use`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

### `nagios_serviceescalation`

The Nagios type `serviceescalation`.

#### Attributes

##### `_naginator_name`

(*Namevar:* If omitted, this attribute’s value defaults to the resource’s title.)

The name of this nagios_serviceescalation resource.

##### `ensure`

(*Property:* This attribute represents concrete state on the target system.)

The basic property that the resource should be in.

Valid values are `present`, `absent`.

##### `contact_groups`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `contacts`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `escalation_options`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `escalation_period`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `first_notification`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `group`

The desired group of the config file for this `nagios_serviceescalation` resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `host_name`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `hostgroup_name`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `last_notification`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `mode`

The desired mode of the config file for this `nagios_serviceescalation` resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `notification_interval`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `owner`

The desired owner of the config file for this `nagios_serviceescalation` resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `provider`

The specific backend to use for this `nagios_serviceescalation` resource. You will seldom need to specify this — Puppet will usually discover the appropriate provider for your platform.

Available providers are:

  * `naginator`

##### `register`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `service_description`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `servicegroup_name`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `target`

(*Property:* This attribute represents concrete state on the target system.)

The target.

##### `use`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

### `nagios_serviceextinfo`

The Nagios type `serviceextinfo`.

#### Attributes

##### `_naginator_name`

(*Namevar:* If omitted, this attribute’s value defaults to the resource’s title.)

The name of this `nagios_serviceextinfo` resource.

##### `ensure`

(*Property:* This attribute represents concrete state on the target system.)

The basic property that the resource should be in.

Valid values are `present`, `absent`.

##### `action_url`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `group`

The desired group of the config file for this `nagios_serviceextinfo` resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `host_name`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `icon_image`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `icon_image_alt`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `mode`

The desired mode of the config file for this `nagios_serviceextinfo` resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `notes`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `notes_url`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `owner`

The desired owner of the config file for this `nagios_serviceextinfo` resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `provider`

The specific backend to use for this `nagios_serviceextinfo` resource. You will seldom need to specify this — Puppet will usually discover the appropriate provider for your platform.

Available providers are:

  * `naginator`

##### `register`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `service_description`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `target`

(*Property:* This attribute represents concrete state on the target system.)

The target.

##### `use`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

### `nagios_servicegroup`

The Nagios type `servicegroup`.

#### Attributes

##### `servicegroup_name`

(*Namevar:* If omitted, this attribute’s value defaults to the resource’s title.)

The name of this `nagios_servicegroup` resource.

##### `ensure`

(*Property:* This attribute represents concrete state on the target system.)

The basic property that the resource should be in.

Valid values are `present`, `absent`.

##### `action_url`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `alias`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `group`

The desired group of the config file for this `nagios_servicegroup` resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `members`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `notes`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `notes_url`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `owner`

The desired owner of the config file for this `nagios_servicegroup` resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `provider`

The specific backend to use for this `nagios_servicegroup` resource. You will seldom need to specify this — Puppet will usually discover the appropriate provider for your platform.

Available providers are:

  * `naginator`

##### `register`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `servicegroup_members`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `target`

(*Property:* This attribute represents concrete state on the target system.)

The target.

##### `use`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

### `nagios_timeperiod`

The Nagios type `timeperiod`.

#### Attributes

##### `timeperiod_name`

(*Namevar:* If omitted, this attribute’s value defaults to the resource’s title.)

The name of this `nagios_timeperiod` resource.

##### `ensure`

(*Property:* This attribute represents concrete state on the target system.)

The basic property that the resource should be in.

Valid values are `present`, `absent`.

##### `alias`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `exclude`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `friday`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `group`

The desired group of the config file for this `nagios_timeperiod` resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `mode`

The desired mode of the config file for this `nagios_timeperiod` resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `monday`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `owner`

The desired owner of the config file for this `nagios_timeperiod` resource.

NOTE: If the target file is explicitly managed by a file resource in your manifest, this parameter has no effect. If a parent directory of the target is managed by a recursive file resource, this limitation does not apply (i.e., this parameter takes precedence, and if purge is used, the target file is exempt).

##### `provider`

The specific backend to use for this `nagios_timeperiod` resource. You will seldom need to specify this — Puppet will usually discover the appropriate provider for your platform.

Available providers are:

  * `naginator`

##### `register`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `saturday`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `sunday`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `target`

(*Property:* This attribute represents concrete state on the target system.)

The target.

##### `thursday`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `tuesday`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `use`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.

##### `wednesday`

(*Property:* This attribute represents concrete state on the target system.)

Nagios configuration file parameter.
